h42573
s 00000/00000/00081
d D 1.2 83/02/18 00:38:28 mjb 2 1
c 
e
s 00081/00000/00000
d D 1.1 83/02/09 21:24:41 mjb 1 0
c date and time created 83/02/09 21:24:41 by mjb
e
u
mjb
tes
U
t
T
I 1
subroutine popnxt (item, id, buffer, loop)
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Pop last value on an insertion to next page of common  #
#                                                                      #
#     Input Parameters:                                                #
#            item - menu item to begin insertion at                    #
#            id   - current menu identifier                            #
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            None                                                      #
#                                                                      #
########################################################################
SHORTINT buffer(1)
integer item, id, loop

integer kcurve, i, sptr, ktem

include(`gphcom')

   if (id == GRAPHxDATAxFRAME) {
      if (krmain == 5) return

      # Determine curve item comes from
      kcurve = (item-1) / 15

      # Determine actual data element in common to update
      ktem = item + kcurve * 60 + (krmain-1) * 15

      # Determine pointr to update item in selected curve
      sptr = ktem * 5 + 1

      do i = 1, 5 {
	 bgdta1(sptr) = buffer(i)
	 sptr = sptr + 1
	 }
      }
   else {
      if (krmain == 2) return
      if (loop == 1) {        # First col of pie edit is legends
	 sptr = 153
         do i = 1, 19 {
	    bplabl(sptr) = buffer(i)
	    sptr = sptr + 1
	    }
         }
      else if (loop == 2) {   # Second col is pie data
	 sptr = 41
	 do i = 1, 5 {
	    bpdata(sptr) = buffer(i)
	    sptr = sptr + 1
	    }
         }
      else if (loop == 3) {   # Third col is explode flags
	 sptr = 17
	 do i = 1, 2 {
	    bpexfg(sptr) = buffer(i)
	    sptr = sptr + 1
	    }
	 }
      else if (loop == 4) {   # Fourth is slice color
	 bpslcl(9) = buffer(1)
	 }
      else if (loop == 5) {   # Fifth is slice fill pattern
	 bpslfl(9) = buffer(1)
	 }
      }

   return
end
E 1
